Package org.eclipse.viatra.query.patternlanguage.emf.vql

## Interface PatternCall

- All Superinterfaces:
    `CallableRelation`, `org.eclipse.emf.ecore.EObject`, `org.eclipse.emf.common.notify.Notifier`
  All Known Implementing Classes:
    `PatternCallImpl`

      public interface PatternCall
      extends CallableRelation

  A representation of the model object 'Pattern Call'.

  The following features are supported:

  - `Pattern Ref`
  - `Parameters`
  See Also:
    `PatternLanguagePackage.getPatternCall()`
  Generated:
  Model:

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `org.eclipse.emf.common.util.EList<ValueReference>` | `getParameters()` | Returns the value of the 'Parameters' containment reference list.
    `Pattern` | `getPatternRef()` | Returns the value of the 'Pattern Ref' reference.
    `void` | `setPatternRef​(Pattern value)` | Sets the value of the '`Pattern Ref`' reference.
    `java.lang.String` | `toString()`

    - ### Methods inherited from interface org.eclipse.viatra.query.patternlanguage.emf.vql.CallableRelation

      `getTransitive, setTransitive`

    - ### Methods inherited from interface org.eclipse.emf.ecore.EObject

      `eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

    - ### Methods inherited from interface org.eclipse.emf.common.notify.Notifier

      `eAdapters, eDeliver, eNotify, eSetDeliver`

- - ### Method Detail

    - #### getPatternRef

          Pattern getPatternRef()

      Returns the value of the 'Pattern Ref' reference.
      Returns:
        the value of the 'Pattern Ref' reference.
      See Also:
        `setPatternRef(Pattern)`, `PatternLanguagePackage.getPatternCall_PatternRef()`
      Generated:
      Model:

    - #### setPatternRef

          void setPatternRef​(Pattern value)

      Sets the value of the '`Pattern Ref`' reference.
      Parameters:
        `value` - the new value of the 'Pattern Ref' reference.
      See Also:
        `getPatternRef()`
      Generated:

    - #### getParameters

          org.eclipse.emf.common.util.EList<ValueReference> getParameters()

      Returns the value of the 'Parameters' containment reference list. The list contents are of type `ValueReference`.
      Returns:
        the value of the 'Parameters' containment reference list.
      See Also:
        `PatternLanguagePackage.getPatternCall_Parameters()`
      Generated:
      Model:
        containment="true"

    - #### toString

          java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`
      Generated:
      Model: